keelwave
API Referenceadmin/alert-rules

Creates an alert rule

POST
/admin/orgs/{orgID}/projects/{projectID}/alert-rules

Defines a threshold alert on an agent signal, scoped to the project. Requires admin role.

Path Parameters

orgID*string

Organization UUID

projectID*string

Project UUID

Request Body

application/json

Alert rule payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/admin/orgs/string/projects/string/alert-rules" \  -H "Content-Type: application/json" \  -d '{    "channel": "email",    "class": "event",    "name": "string",    "severity": "page",    "signal": "run_failure"  }'
{  "agent_name": "string",  "channel": "string",  "channel_config": {},  "class": "string",  "comparator": "string",  "cooldown_seconds": 0,  "created_at": "string",  "enabled": true,  "for_seconds": 0,  "id": "string",  "keep_firing_for_seconds": 0,  "min_requests": 0,  "name": "string",  "project_id": "string",  "severity": "string",  "signal": "string",  "threshold": 0,  "window_seconds": 0}